package de.renew.formalism.fsnet;

import de.renew.simulatorontology.shadow.ShadowInscription;

class ShadowInscriptionArea {
    int _startLine;
    int _lastLine;
    ShadowInscription _inscription;

    ShadowInscriptionArea(int startLine, int lastLine, ShadowInscription inscription) {
        this._startLine = startLine;
        this._inscription = inscription;
        this._lastLine = lastLine;
    }

    boolean matches(int line) {
        return _startLine <= line && line <= _lastLine;
    }
}
